> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get an API connector

GET https://api.sigmacomputing.com/v2/api-connectors/{apiConnectorId}

This endpoint returns full details for a single API connector, including its request parameters and configuration. For more information on API connectors, see [Configure API credentials and connectors in Sigma](https://help.sigmacomputing.com/docs/configure-api-credentials-and-connectors-in-sigma).

### Usage notes
- Only returns API connectors that the user making this request has at least **Can view** access to.
- Retrieve the **apiConnectorId** by calling the [/v2/api-connectors](https://help.sigmacomputing.com/reference/list-api-connectors) endpoint.

### Usage scenarios
- **Connector inspection:** Retrieve the full configuration of a connector for display or validation before use.
- **Connector duplication:** Read an existing connector's configuration to use as the basis for a new one.

Reference: https://help.sigmacomputing.com/reference/get-api-connector

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/api-connectors/{apiConnectorId}:
    get:
      operationId: getApiConnector
      summary: Get an API connector
      description: >-
        This endpoint returns full details for a single API connector, including
        its request parameters and configuration. For more information on API
        connectors, see [Configure API credentials and connectors in
        Sigma](https://help.sigmacomputing.com/docs/configure-api-credentials-and-connectors-in-sigma).


        ### Usage notes

        - Only returns API connectors that the user making this request has at
        least **Can view** access to.

        - Retrieve the **apiConnectorId** by calling the
        [/v2/api-connectors](https://help.sigmacomputing.com/reference/list-api-connectors)
        endpoint.


        ### Usage scenarios

        - **Connector inspection:** Retrieve the full configuration of a
        connector for display or validation before use.

        - **Connector duplication:** Read an existing connector's configuration
        to use as the basis for a new one.
      tags:
        - apiConnectors
      parameters:
        - name: apiConnectorId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api-connectors_getApiConnector_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsMethod:
      type: string
      enum:
        - GET
        - POST
        - DELETE
        - PATCH
        - PUT
        - OPTIONS
        - HEAD
      description: HTTP method to invoke.
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsMethod
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItemsMode
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItemsType
    ParamShapeNodeOneOf0TypeItems:
      type: string
      enum:
        - string
      title: ParamShapeNodeOneOf0TypeItems
    ParamShapeNode0:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf0TypeItems'
      required:
        - type
      title: ParamShapeNode0
    ParamShapeNodeOneOf1TypeItems:
      type: string
      enum:
        - number
      title: ParamShapeNodeOneOf1TypeItems
    ParamShapeNode1:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf1TypeItems'
      required:
        - type
      title: ParamShapeNode1
    ParamShapeNodeOneOf2TypeItems:
      type: string
      enum:
        - boolean
      title: ParamShapeNodeOneOf2TypeItems
    ParamShapeNode2:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf2TypeItems'
      required:
        - type
      title: ParamShapeNode2
    ParamShapeNodeOneOf3TypeItems:
      type: string
      enum:
        - object
      title: ParamShapeNodeOneOf3TypeItems
    ParamShapeNode3:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf3TypeItems'
        properties:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ParamShapeNode'
      required:
        - type
        - properties
      title: ParamShapeNode3
    ParamShapeNodeOneOf4TypeItems:
      type: string
      enum:
        - array
      title: ParamShapeNodeOneOf4TypeItems
    ParamShapeNode4:
      type: object
      properties:
        type:
          type: array
          items:
            $ref: '#/components/schemas/ParamShapeNodeOneOf4TypeItems'
        items:
          $ref: '#/components/schemas/ParamShapeNode'
      required:
        - type
        - items
      title: ParamShapeNode4
    ParamShapeNode:
      oneOf:
        - $ref: '#/components/schemas/ParamShapeNode0'
        - $ref: '#/components/schemas/ParamShapeNode1'
        - $ref: '#/components/schemas/ParamShapeNode2'
        - $ref: '#/components/schemas/ParamShapeNode3'
        - $ref: '#/components/schemas/ParamShapeNode4'
        - type: object
          additionalProperties:
            description: Any type
      title: ParamShapeNode
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItems
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItemsMode
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItemsType
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItems
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItemsMode
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItemsType
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItems
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItemsMode:
      type: string
      enum:
        - static
        - dynamic
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItemsMode
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItemsType:
      type: string
      enum:
        - array
        - boolean
        - number
        - object
        - raw
        - string
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItemsType
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItems:
      type: object
      properties:
        key:
          type: string
        mode:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItemsMode
        value:
          type:
            - string
            - 'null'
        type:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItemsType
        shape:
          oneOf:
            - $ref: '#/components/schemas/ParamShapeNode'
            - type: 'null'
      required:
        - key
        - mode
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItems
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParams:
      type: object
      properties:
        method:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsMethod
          description: HTTP method to invoke.
        url:
          type: string
          description: >-
            Request URL. Must resolve to a hostname matching the associated
            credential's allowlist.
        headers:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsHeadersItems
          description: Static or dynamic request headers.
        pathParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsPathParamsItems
          description: Path parameter placeholders resolved into the URL.
        queryParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsQueryParamsItems
          description: Query string parameters.
        body:
          type: string
          description: Raw request body template.
        bodyParams:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParamsBodyParamsItems
          description: Dynamic parameters extracted from `body`.
      required:
        - method
        - url
        - headers
        - pathParams
        - queryParams
        - body
        - bodyParams
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParams
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigTimeout:
      type: object
      properties:
        requestSec:
          type: number
          format: double
      required:
        - requestSec
      description: Per-request timeout configuration.
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigTimeout
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRetry:
      type: object
      properties:
        maxRetries:
          type: number
          format: double
        retryableStatusCodes:
          type: array
          items:
            type: number
            format: double
      required:
        - maxRetries
        - retryableStatusCodes
      description: >-
        Retry policy. `retryableStatusCodes` are HTTP codes that should trigger
        a retry.
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRetry
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRedirects:
      type: object
      properties:
        maxRedirects:
          type: number
          format: double
      required:
        - maxRedirects
      description: HTTP redirect handling.
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRedirects
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRateLimit:
      type: object
      properties:
        maxRequestsPerWindow:
          type: number
          format: double
      required:
        - maxRequestsPerWindow
      description: Rate limit applied to outbound requests from this connector.
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRateLimit
    V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfig:
      type: object
      properties:
        timeout:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigTimeout
          description: Per-request timeout configuration.
        retry:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRetry
          description: >-
            Retry policy. `retryableStatusCodes` are HTTP codes that should
            trigger a retry.
        redirects:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRedirects
          description: HTTP redirect handling.
        rateLimit:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfigRateLimit
          description: Rate limit applied to outbound requests from this connector.
      required:
        - timeout
        - retry
        - redirects
        - rateLimit
      title: >-
        V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfig
    api-connectors_getApiConnector_Response_200:
      type: object
      properties:
        apiConnectorId:
          type: string
          description: Unique identifier of the API connector.
        name:
          type: string
          description: Display name of the connector.
        params:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaParams
        config:
          $ref: >-
            #/components/schemas/V2ApiConnectorsApiConnectorIdGetResponsesContentApplicationJsonSchemaConfig
        createdBy:
          type: string
          description: The identifier of the user who created this object.
        updatedBy:
          type: string
          description: The identifier of the user or process that last updated this object.
        createdAt:
          type: string
          format: date-time
          description: When the object was created.
        updatedAt:
          type: string
          format: date-time
          description: When the object was last updated.
        description:
          type: string
          description: Human-readable description.
        authId:
          type:
            - string
            - 'null'
          description: >-
            Identifier of the API credential (`apiCredentialId`) used to
            authenticate requests. `null` if unauthenticated.
      required:
        - apiConnectorId
        - name
        - params
        - config
        - createdBy
        - updatedBy
        - createdAt
        - updatedAt
      title: api-connectors_getApiConnector_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "authId": "cred-456e7890-f12b-34d5-a678-901234567890",
  "config": {
    "rateLimit": {
      "maxRequestsPerWindow": 1000
    },
    "redirects": {
      "maxRedirects": 5
    },
    "retry": {
      "maxRetries": 3,
      "retryableStatusCodes": [
        429,
        500,
        502,
        503,
        504
      ]
    },
    "timeout": {
      "requestSec": 30
    }
  },
  "createdAt": "2024-01-15T09:30:00Z",
  "createdBy": "user-789e1234-e56b-78d9-a012-345678901234",
  "description": "Connector to fetch repository details from GitHub API.",
  "name": "GitHub Repository Info",
  "params": {
    "body": "",
    "bodyParams": [],
    "headers": [
      {
        "key": "Accept",
        "mode": "static",
        "shape": null,
        "type": "string",
        "value": "application/vnd.github.v3+json"
      },
      {
        "key": "Authorization",
        "mode": "dynamic",
        "shape": null,
        "type": "string",
        "value": null
      }
    ],
    "method": "GET",
    "pathParams": [],
    "queryParams": [
      {
        "key": "ref",
        "mode": "static",
        "shape": null,
        "type": "string",
        "value": "main"
      }
    ],
    "url": "https://api.github.com/repos/sigmacomputing/sigma-api"
  },
  "updatedAt": "2024-04-10T14:45:00Z",
  "updatedBy": "user-789e1234-e56b-78d9-a012-345678901234"
}
```

**Response**

```json
{
  "apiConnectorId": "api-123e4567-e89b-12d3-a456-426614174000",
  "name": "GitHub Repository Info",
  "params": {
    "method": "GET",
    "url": "https://api.github.com/repos/sigmacomputing/sigma-api",
    "headers": [
      {
        "key": "Accept",
        "mode": "static",
        "value": "application/vnd.github.v3+json",
        "type": "string",
        "shape": null
      },
      {
        "key": "Authorization",
        "mode": "dynamic",
        "value": null,
        "type": "string",
        "shape": null
      }
    ],
    "pathParams": [],
    "queryParams": [
      {
        "key": "ref",
        "mode": "static",
        "value": "main",
        "type": "string",
        "shape": null
      }
    ],
    "body": "",
    "bodyParams": []
  },
  "config": {
    "timeout": {
      "requestSec": 30
    },
    "retry": {
      "maxRetries": 3,
      "retryableStatusCodes": [
        429,
        500,
        502,
        503,
        504
      ]
    },
    "redirects": {
      "maxRedirects": 5
    },
    "rateLimit": {
      "maxRequestsPerWindow": 1000
    }
  },
  "createdBy": "user-789e1234-e56b-78d9-a012-345678901234",
  "updatedBy": "user-789e1234-e56b-78d9-a012-345678901234",
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-04-10T14:45:00Z",
  "description": "Connector to fetch repository details from GitHub API.",
  "authId": "cred-456e7890-f12b-34d5-a678-901234567890"
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000"

payload = {
    "authId": "cred-456e7890-f12b-34d5-a678-901234567890",
    "config": {
        "rateLimit": { "maxRequestsPerWindow": 1000 },
        "redirects": { "maxRedirects": 5 },
        "retry": {
            "maxRetries": 3,
            "retryableStatusCodes": [429, 500, 502, 503, 504]
        },
        "timeout": { "requestSec": 30 }
    },
    "createdAt": "2024-01-15T09:30:00Z",
    "createdBy": "user-789e1234-e56b-78d9-a012-345678901234",
    "description": "Connector to fetch repository details from GitHub API.",
    "name": "GitHub Repository Info",
    "params": {
        "body": "",
        "bodyParams": [],
        "headers": [
            {
                "key": "Accept",
                "mode": "static",
                "shape": None,
                "type": "string",
                "value": "application/vnd.github.v3+json"
            },
            {
                "key": "Authorization",
                "mode": "dynamic",
                "shape": None,
                "type": "string",
                "value": None
            }
        ],
        "method": "GET",
        "pathParams": [],
        "queryParams": [
            {
                "key": "ref",
                "mode": "static",
                "shape": None,
                "type": "string",
                "value": "main"
            }
        ],
        "url": "https://api.github.com/repos/sigmacomputing/sigma-api"
    },
    "updatedAt": "2024-04-10T14:45:00Z",
    "updatedBy": "user-789e1234-e56b-78d9-a012-345678901234"
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"authId":"cred-456e7890-f12b-34d5-a678-901234567890","config":{"rateLimit":{"maxRequestsPerWindow":1000},"redirects":{"maxRedirects":5},"retry":{"maxRetries":3,"retryableStatusCodes":[429,500,502,503,504]},"timeout":{"requestSec":30}},"createdAt":"2024-01-15T09:30:00Z","createdBy":"user-789e1234-e56b-78d9-a012-345678901234","description":"Connector to fetch repository details from GitHub API.","name":"GitHub Repository Info","params":{"body":"","bodyParams":[],"headers":[{"key":"Accept","mode":"static","shape":null,"type":"string","value":"application/vnd.github.v3+json"},{"key":"Authorization","mode":"dynamic","shape":null,"type":"string","value":null}],"method":"GET","pathParams":[],"queryParams":[{"key":"ref","mode":"static","shape":null,"type":"string","value":"main"}],"url":"https://api.github.com/repos/sigmacomputing/sigma-api"},"updatedAt":"2024-04-10T14:45:00Z","updatedBy":"user-789e1234-e56b-78d9-a012-345678901234"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000"

	payload := strings.NewReader("{\n  \"authId\": \"cred-456e7890-f12b-34d5-a678-901234567890\",\n  \"config\": {\n    \"rateLimit\": {\n      \"maxRequestsPerWindow\": 1000\n    },\n    \"redirects\": {\n      \"maxRedirects\": 5\n    },\n    \"retry\": {\n      \"maxRetries\": 3,\n      \"retryableStatusCodes\": [\n        429,\n        500,\n        502,\n        503,\n        504\n      ]\n    },\n    \"timeout\": {\n      \"requestSec\": 30\n    }\n  },\n  \"createdAt\": \"2024-01-15T09:30:00Z\",\n  \"createdBy\": \"user-789e1234-e56b-78d9-a012-345678901234\",\n  \"description\": \"Connector to fetch repository details from GitHub API.\",\n  \"name\": \"GitHub Repository Info\",\n  \"params\": {\n    \"body\": \"\",\n    \"bodyParams\": [],\n    \"headers\": [\n      {\n        \"key\": \"Accept\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"application/vnd.github.v3+json\"\n      },\n      {\n        \"key\": \"Authorization\",\n        \"mode\": \"dynamic\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": null\n      }\n    ],\n    \"method\": \"GET\",\n    \"pathParams\": [],\n    \"queryParams\": [\n      {\n        \"key\": \"ref\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"main\"\n      }\n    ],\n    \"url\": \"https://api.github.com/repos/sigmacomputing/sigma-api\"\n  },\n  \"updatedAt\": \"2024-04-10T14:45:00Z\",\n  \"updatedBy\": \"user-789e1234-e56b-78d9-a012-345678901234\"\n}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"authId\": \"cred-456e7890-f12b-34d5-a678-901234567890\",\n  \"config\": {\n    \"rateLimit\": {\n      \"maxRequestsPerWindow\": 1000\n    },\n    \"redirects\": {\n      \"maxRedirects\": 5\n    },\n    \"retry\": {\n      \"maxRetries\": 3,\n      \"retryableStatusCodes\": [\n        429,\n        500,\n        502,\n        503,\n        504\n      ]\n    },\n    \"timeout\": {\n      \"requestSec\": 30\n    }\n  },\n  \"createdAt\": \"2024-01-15T09:30:00Z\",\n  \"createdBy\": \"user-789e1234-e56b-78d9-a012-345678901234\",\n  \"description\": \"Connector to fetch repository details from GitHub API.\",\n  \"name\": \"GitHub Repository Info\",\n  \"params\": {\n    \"body\": \"\",\n    \"bodyParams\": [],\n    \"headers\": [\n      {\n        \"key\": \"Accept\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"application/vnd.github.v3+json\"\n      },\n      {\n        \"key\": \"Authorization\",\n        \"mode\": \"dynamic\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": null\n      }\n    ],\n    \"method\": \"GET\",\n    \"pathParams\": [],\n    \"queryParams\": [\n      {\n        \"key\": \"ref\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"main\"\n      }\n    ],\n    \"url\": \"https://api.github.com/repos/sigmacomputing/sigma-api\"\n  },\n  \"updatedAt\": \"2024-04-10T14:45:00Z\",\n  \"updatedBy\": \"user-789e1234-e56b-78d9-a012-345678901234\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"authId\": \"cred-456e7890-f12b-34d5-a678-901234567890\",\n  \"config\": {\n    \"rateLimit\": {\n      \"maxRequestsPerWindow\": 1000\n    },\n    \"redirects\": {\n      \"maxRedirects\": 5\n    },\n    \"retry\": {\n      \"maxRetries\": 3,\n      \"retryableStatusCodes\": [\n        429,\n        500,\n        502,\n        503,\n        504\n      ]\n    },\n    \"timeout\": {\n      \"requestSec\": 30\n    }\n  },\n  \"createdAt\": \"2024-01-15T09:30:00Z\",\n  \"createdBy\": \"user-789e1234-e56b-78d9-a012-345678901234\",\n  \"description\": \"Connector to fetch repository details from GitHub API.\",\n  \"name\": \"GitHub Repository Info\",\n  \"params\": {\n    \"body\": \"\",\n    \"bodyParams\": [],\n    \"headers\": [\n      {\n        \"key\": \"Accept\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"application/vnd.github.v3+json\"\n      },\n      {\n        \"key\": \"Authorization\",\n        \"mode\": \"dynamic\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": null\n      }\n    ],\n    \"method\": \"GET\",\n    \"pathParams\": [],\n    \"queryParams\": [\n      {\n        \"key\": \"ref\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"main\"\n      }\n    ],\n    \"url\": \"https://api.github.com/repos/sigmacomputing/sigma-api\"\n  },\n  \"updatedAt\": \"2024-04-10T14:45:00Z\",\n  \"updatedBy\": \"user-789e1234-e56b-78d9-a012-345678901234\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000', [
  'body' => '{
  "authId": "cred-456e7890-f12b-34d5-a678-901234567890",
  "config": {
    "rateLimit": {
      "maxRequestsPerWindow": 1000
    },
    "redirects": {
      "maxRedirects": 5
    },
    "retry": {
      "maxRetries": 3,
      "retryableStatusCodes": [
        429,
        500,
        502,
        503,
        504
      ]
    },
    "timeout": {
      "requestSec": 30
    }
  },
  "createdAt": "2024-01-15T09:30:00Z",
  "createdBy": "user-789e1234-e56b-78d9-a012-345678901234",
  "description": "Connector to fetch repository details from GitHub API.",
  "name": "GitHub Repository Info",
  "params": {
    "body": "",
    "bodyParams": [],
    "headers": [
      {
        "key": "Accept",
        "mode": "static",
        "shape": null,
        "type": "string",
        "value": "application/vnd.github.v3+json"
      },
      {
        "key": "Authorization",
        "mode": "dynamic",
        "shape": null,
        "type": "string",
        "value": null
      }
    ],
    "method": "GET",
    "pathParams": [],
    "queryParams": [
      {
        "key": "ref",
        "mode": "static",
        "shape": null,
        "type": "string",
        "value": "main"
      }
    ],
    "url": "https://api.github.com/repos/sigmacomputing/sigma-api"
  },
  "updatedAt": "2024-04-10T14:45:00Z",
  "updatedBy": "user-789e1234-e56b-78d9-a012-345678901234"
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"authId\": \"cred-456e7890-f12b-34d5-a678-901234567890\",\n  \"config\": {\n    \"rateLimit\": {\n      \"maxRequestsPerWindow\": 1000\n    },\n    \"redirects\": {\n      \"maxRedirects\": 5\n    },\n    \"retry\": {\n      \"maxRetries\": 3,\n      \"retryableStatusCodes\": [\n        429,\n        500,\n        502,\n        503,\n        504\n      ]\n    },\n    \"timeout\": {\n      \"requestSec\": 30\n    }\n  },\n  \"createdAt\": \"2024-01-15T09:30:00Z\",\n  \"createdBy\": \"user-789e1234-e56b-78d9-a012-345678901234\",\n  \"description\": \"Connector to fetch repository details from GitHub API.\",\n  \"name\": \"GitHub Repository Info\",\n  \"params\": {\n    \"body\": \"\",\n    \"bodyParams\": [],\n    \"headers\": [\n      {\n        \"key\": \"Accept\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"application/vnd.github.v3+json\"\n      },\n      {\n        \"key\": \"Authorization\",\n        \"mode\": \"dynamic\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": null\n      }\n    ],\n    \"method\": \"GET\",\n    \"pathParams\": [],\n    \"queryParams\": [\n      {\n        \"key\": \"ref\",\n        \"mode\": \"static\",\n        \"shape\": null,\n        \"type\": \"string\",\n        \"value\": \"main\"\n      }\n    ],\n    \"url\": \"https://api.github.com/repos/sigmacomputing/sigma-api\"\n  },\n  \"updatedAt\": \"2024-04-10T14:45:00Z\",\n  \"updatedBy\": \"user-789e1234-e56b-78d9-a012-345678901234\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "authId": "cred-456e7890-f12b-34d5-a678-901234567890",
  "config": [
    "rateLimit": ["maxRequestsPerWindow": 1000],
    "redirects": ["maxRedirects": 5],
    "retry": [
      "maxRetries": 3,
      "retryableStatusCodes": [429, 500, 502, 503, 504]
    ],
    "timeout": ["requestSec": 30]
  ],
  "createdAt": "2024-01-15T09:30:00Z",
  "createdBy": "user-789e1234-e56b-78d9-a012-345678901234",
  "description": "Connector to fetch repository details from GitHub API.",
  "name": "GitHub Repository Info",
  "params": [
    "body": "",
    "bodyParams": [],
    "headers": [
      [
        "key": "Accept",
        "mode": "static",
        "shape": ,
        "type": "string",
        "value": "application/vnd.github.v3+json"
      ],
      [
        "key": "Authorization",
        "mode": "dynamic",
        "shape": ,
        "type": "string",
        "value": 
      ]
    ],
    "method": "GET",
    "pathParams": [],
    "queryParams": [
      [
        "key": "ref",
        "mode": "static",
        "shape": ,
        "type": "string",
        "value": "main"
      ]
    ],
    "url": "https://api.github.com/repos/sigmacomputing/sigma-api"
  ],
  "updatedAt": "2024-04-10T14:45:00Z",
  "updatedBy": "user-789e1234-e56b-78d9-a012-345678901234"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/api-connectors/api-123e4567-e89b-12d3-a456-426614174000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```